## buku 2.4.0

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= $(DESTDIR)$(PREFIX)/bin
MANDIR ?= $(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR ?= $(DESTDIR)$(PREFIX)/share/doc/buku

.PHONY: all install uninstall

all:

install:
	install -m755 -d $(BINDIR)
	install -m755 -d $(MANDIR)
	install -m755 -d $(DOCDIR)
	gzip -c buku.1 > buku.1.gz
	install -m755 buku $(BINDIR)
	install -m644 buku.1.gz $(MANDIR)
	install -m644 README.md $(DOCDIR)
	rm -f buku.1.gz

uninstall:
	rm -f $(BINDIR)/buku
	rm -f $(MANDIR)/buku.1.gz
	rm -rf $(DOCDIR)

=== requirements.txt ===
beautifulsoup4>=4.4.1
cryptography>=1.3.2

=== debian/changelog ===
buku (2.4.0-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * debian/control: downgraded python3-bs4 and python3-cryptography to Jessie versions.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 15 Sep 2016 13:36:38 -0500

buku (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 12 Sep 2016 13:36:27 +0800

buku (2.3.0-1) unstable; urgency=low

  * Initial release (Closes: #835471)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Fri, 26 Aug 2016 10:36:55 +0800

=== debian/control ===
Source: buku
Section: misc
Priority: optional
Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Bugs: mailto: <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>=9), 
               python3 (>= 3.3)
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: https://github.com/jarun/Buku
Vcs-Git: https://anonscm.debian.org/git/collab-maint/buku.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/buku.git

Package: buku
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.3), python3-bs4 (>=4.3.2), python3-cryptography (>=0.6.1)
Description: Powerful command-line bookmark manager
 Feature
 .
  - Add, open, tag, comment on, search, update, remove bookmarks
  - Merge-able portable database, to sync between systems
  - Import/export bookmarks HTML (Firefox, Google Chrome, IE compatible)
  - Fetch page title from web, refresh all titles in a go
  - Open search results directly in default browser
  - Manual password protection using AES256 encryption
  - Tab-completion scripts (Bash, Fish, Zsh), man page with examples
  - Several options for power users (see help or man page)
  - Fast and clean interface, distinct symbols for record fields
  - Minimal dependencies
 .

## buku 2.8.0

=== requirements.txt ===
urllib3>=1.13.1
beautifulsoup4>=4.4.1
cryptography>=1.2.3
requests>=2.9.1

=== debian/changelog ===
buku (2.8.0-1) unstable; urgency=medium

  * New upstream version 

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Wed, 11 Jan 2017 19:25:38 +0800

buku (2.7.0-1) unstable; urgency=medium

  * New upstream version
  * Add new library dependency 

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Wed, 30 Nov 2016 14:53:51 +0800

buku (2.6.0-1) unstable; urgency=medium

  * New upstream version 

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sat, 05 Nov 2016 15:42:52 +0800

buku (2.5.0-1) unstable; urgency=medium

  * New upstream version

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 24 Oct 2016 19:13:41 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: buku
 Section: misc
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Bugs: mailto: <maintainer@mepiscommunity.org>
-Build-Depends: debhelper (>=9), 
-               python3 (>= 3.3)
+Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
+Build-Depends: debhelper (>= 10), 
+               python3 (>= 3.3),
+               python3-setuptools
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.8
 Homepage: https://github.com/jarun/Buku
@@ -14,7 +13,9 @@
 
 Package: buku
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.3), python3-bs4 (>=4.3.2), python3-cryptography (>=0.6.1)
+Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.3),
+         python3-bs4 (>=4.4.1), python3-cryptography (>=1.3.2),
+         python3-urllib3, python3-requests
 Description: Powerful command-line bookmark manager
  Feature
  .

## buku 3.2.0

=== api/requirements.txt ===
appdirs==1.4.3
beautifulsoup4==4.5.3
buku==2.9
cffi==1.9.1
click==6.7
cryptography==1.7.2
Flask==0.12
Flask-API==0.6.9
idna==2.5
itsdangerous==0.24
Jinja2==2.9.5
MarkupSafe==1.0
packaging==16.8
pyasn1==0.2.3
pycparser==2.17
pyparsing==2.2.0
requests==2.13.0
six==1.10.0
urllib3==1.20
Werkzeug==0.11.15

=== debian/changelog ===
buku (3.2.0-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 03 Aug 2017 13:30:31 +0800

buku (3.1.0-1) unstable; urgency=medium

  * Import new upstream version
  * Bump Standards-Version to 4.0.0

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 11 Jul 2017 10:57:01 +0800

buku (3.0.0-1) unstable; urgency=medium

  * New upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 29 Apr 2017 23:00:34 +0800

buku (2.9.0-1) unstable; urgency=medium

  * New upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 20 Feb 2017 22:45:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: buku
 Section: misc
 Priority: optional
-Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
+Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 10), 
                python3 (>= 3.3),
                python3-setuptools
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/buku.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/buku.git

## buku 3.7

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	install -m755 -d $(MANDIR)
 	install -m755 -d $(DOCDIR)
 	gzip -c buku.1 > buku.1.gz
-	install -m755 buku $(BINDIR)
+	install -m755 buku.py $(BINDIR)/buku
 	install -m644 buku.1.gz $(MANDIR)
 	install -m644 README.md $(DOCDIR)
 	rm -f buku.1.gz

=== requirements.txt ===
urllib3>=1.13.1
beautifulsoup4>=4.4.1
cryptography>=1.2.3

=== api/requirements.txt ===
appdirs==1.4.3
beautifulsoup4==4.5.3
buku>=2.9
cffi==1.9.1
click==6.7
Flask==0.12
requests==2.18.4
Flask-API==0.6.9
idna==2.5
itsdangerous==0.24
Jinja2==2.9.5
MarkupSafe==1.0
packaging==16.8
pyasn1==0.2.3
pycparser==2.17
pyparsing==2.2.0
six==1.10.0
urllib3==1.20
Werkzeug==0.11.15

=== debian/changelog ===
buku (3.7-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: update Vcs to salsa
  *            bump python minimal support version to 3.4
  *            add dh-python into build-dep

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Mar 2018 09:52:15 +0800

buku (3.6-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: bump Standards-Version to 4.1.3
  * d/control: get rid of requests library dep
  * d/compat: bump compat to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 09 Jan 2018 23:30:04 +0800

buku (3.5.0-1) unstable; urgency=medium

  * Import new upstream version
  * d/copyright: replace "http" with "https"
  * d/control: bump Standards-Version to 4.1.1
  * Change manpage location

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 10 Nov 2017 18:03:24 +0800

buku (3.4.0-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 18 Sep 2017 15:28:01 +0800

buku (3.3.1-1) unstable; urgency=medium

  * Import new upstream version
  * Bump Standards-Version to 4.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 11 Sep 2017 10:01:10 +0800

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10), 
-               python3 (>= 3.3),
-               python3-setuptools
-X-Python3-Version: >= 3.3
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11),
+               python3 (>= 3.4),
+               python3-setuptools,
+               dh-python
+X-Python3-Version: >= 3.4
+Standards-Version: 4.1.3
 Homepage: https://github.com/jarun/Buku
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/buku.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/buku.git
+Vcs-Git: https://salsa.debian.org/debian/buku.git
+Vcs-Browser: https://salsa.debian.org/debian/buku
 
 Package: buku
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.3),
+Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.4),
          python3-bs4 (>=4.4.1), python3-cryptography (>=1.3.2),
-         python3-urllib3, python3-requests
+         python3-urllib3
 Description: Powerful command-line bookmark manager
  Feature
  .

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_clean:
	dh_clean
	rm -rf buku.egg-info/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/jarun/Buku/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## buku 3.8+dfsg

=== debian/changelog ===
buku (3.8+dfsg-1) unstable; urgency=medium

  * Import new upstream version
  * Refresh patches after git-dpm to gbp pq conversion
  * Remove bukuserver via repacking upstream sources since it violates DFSG
  * d/control: bump Standards-Version to 4.1.4
  * d/install: Add auto-completion/bash/buku-completion.bash

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 25 May 2018 17:49:16 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python3-setuptools,
                dh-python
 X-Python3-Version: >= 3.4
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git
 Vcs-Browser: https://salsa.debian.org/debian/buku

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 
 override_dh_auto_test:
 
+override_dh_auto_install:
+	dh_auto_install
+	find . -name "bukuserver" | xargs rm -rf
+
 override_dh_clean:
 	dh_clean
 	rm -rf buku.egg-info/
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz% \
 https://github.com/jarun/Buku/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## buku 4.1+ds

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	install -m755 -d $(MANDIR)
 	install -m755 -d $(DOCDIR)
 	gzip -c buku.1 > buku.1.gz
-	install -m755 buku.py $(BINDIR)/buku
+	install -m755 buku $(BINDIR)/buku
 	install -m644 buku.1.gz $(MANDIR)
 	install -m644 README.md $(DOCDIR)
 	rm -f buku.1.gz

=== requirements.txt ===
beautifulsoup4>=4.4.1
certifi
cryptography>=1.2.3
setuptools
urllib3>=1.23

=== debian/changelog ===
buku (4.1+ds-2) unstable; urgency=high

  * Install real program instead of "entry script" (Closes: 920295)

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 25 Jan 2019 11:13:32 +0800

buku (4.1+ds-1) unstable; urgency=medium

  * Import new upstream release
  * Update d/patches content
  * d/compat:
    - Bump compat version to 12
  * d/control:
    - Bump Standards-Version to 4.3.0
    - Bump debhelper version to 12
  * d/patches:
    - Add "Remove unnecessary copyfile function to avoid upstream changes" patch

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 16 Jan 2019 22:59:42 +0800

buku (4.0+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ SZ Lin (林上智) ]
  * Import new upstream release
  * Update README.Debian
  * d/control:
    - Tidy long description
    - Add python3-certifi to depends
  * d/copyright:
    - Keep bukuserver removed since the required version of python3-Flask-API
      was not found in Debian archive
  * d/upstream/metadata:
    - Update content
  * d/watch:
    - Update version format to ds since the minified javascript was removed

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 05 Nov 2018 16:35:02 +0800

buku (3.9+ds-1) unstable; urgency=medium

  * Import new upstream release
  * Add upstream metadata
  * Remove bukuserver via repacking upstream sources since it's WIP in upstream
  * d/control:
    - Bump Standards-Version to 4.2.1

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 02 Sep 2018 00:12:27 +0800

=== debian/control ===
Source: buku
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 12),
               python3 (>= 3.4),
               python3-setuptools,
               dh-python
Standards-Version: 4.3.0
Homepage: https://github.com/jarun/Buku
Vcs-Git: https://salsa.debian.org/debian/buku.git
Vcs-Browser: https://salsa.debian.org/debian/buku

Package: buku
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.4),
         python3-bs4 (>=4.4.1), python3-cryptography (>=1.3.2),
         python3-urllib3, python3-certifi
Description: Powerful command-line bookmark manager
 Feature
 .
  - Store bookmarks with auto-fetched title, tags and description
  - Auto-import from Firefox, Google Chrome and Chromium
  - Open bookmarks and search results in browser
  - Shorten, expand URLs, browse cached page from Wayback Machine
  - Text editor integration
  - Lightweight, clean interface, custom colors
  - Powerful search options (regex, substring...)
  - Continuous search with on the fly mode switch
  - Portable, merge-able database to sync between systems
  - Import/export bookmarks from/to HTML, Markdown or Orgfile
  - Smart tag management using redirection (>>, >, <<)
  - Multithreaded full DB refresh, manual encryption support
  - Shell completion scripts, man page with handy examples
 .

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts=\
-repacksuffix=+dfsg,\
+repacksuffix=+ds,\
 repack,compression=xz,\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz% \

## buku 4.2.2+ds

=== debian/changelog ===
buku (4.2.2+ds-1) unstable; urgency=medium

  * Import new upstream release
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 02 May 2019 18:13:59 +0800

## buku 4.3%2Bds

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/buku-$1\.tar\.gz/ \
 https://github.com/jarun/Buku/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## buku 4.3+ds

=== requirements.txt ===
# use setup.py for latest required package 
beautifulsoup4>=4.4.1
certifi
cryptography>=1.2.3
html5lib>=1.0.1
setuptools
urllib3>=1.23

=== debian/changelog ===
buku (4.3+ds-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.5.0

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 01 Feb 2020 23:00:37 +0800

buku (4.2.2+ds-2) unstable; urgency=low

  * d/control:
    - Bump Standards-Version to 4.4.1
    - Rules-Requires-Root: no
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
  * d/tests:
    - Add test cases for debci

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 11 Dec 2019 10:52:16 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                python3 (>= 3.4),
                python3-setuptools,
                dh-python
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git
 Vcs-Browser: https://salsa.debian.org/debian/buku

## buku 4.4+ds

=== debian/changelog ===
buku (4.4+ds-1) unstable; urgency=medium

  * Import new upstream release
  * Add Salsa CI configuration file
  * d/control:
    - Bump debhelper-compat to 13

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 16 Jun 2020 14:51:30 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3 (>= 3.4),
                python3-setuptools,
                dh-python

## buku 4.5+ds

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 html5lib>=1.0.1
 setuptools
 urllib3>=1.23
+pyreadline; sys_platform == 'windows'

=== debian/changelog ===
buku (4.5+ds-1) unstable; urgency=medium

  * Import new upstream release
  * Fix autopkg tests fail with Python 3.9 (Closes: #975539)
  * Bump Standards-Version to 4.5.1
  * The "test_bukuDb.py" unit test is temporarily removed due to a compatible
    issue with current version of pytest (4.6.11-1)

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 31 Dec 2020 11:05:21 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.4),
                python3-setuptools,
                dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git

## buku 4.6+ds

=== debian/changelog ===
buku (4.6+ds-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 27 Aug 2021 11:29:37 +0800

## buku 4.7+ds

=== debian/changelog ===
buku (4.7+ds-1) unstable; urgency=medium

  * Import new upstream release
  * Tweak the patch to the new release
  * Update d/copyright
  * d/control:
    - Bump Standards-Version to 4.6.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 17 Dec 2022 15:48:34 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.4),
                python3-setuptools,
                dh-python
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git

## buku 4.8+ds

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 html5lib>=1.0.1
 setuptools
 urllib3>=1.23
-pyreadline; sys_platform == 'windows'
+pyreadline3; sys_platform == 'win32'

=== debian/changelog ===
buku (4.8+ds-1) unstable; urgency=medium

  * Import new upstream release (Closes: #1030860)
  * Update d/copyright
  * d/control:
    - Bump Standards-Version to 4.6.2

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 16 Jul 2023 17:01:22 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.4),
                python3-setuptools,
                dh-python
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf buku.egg-info/
+	rm -rf buku.egg-info/ .pc
 
 override_dh_missing:
 	dh_missing --fail-missing

## buku 4.9+ds

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,6 @@
 cryptography>=1.2.3
 html5lib>=1.0.1
 setuptools
-urllib3>=1.23
+urllib3>=1.23,<2
 pyreadline3; sys_platform == 'win32'
+colorama>=0.4.6; sys_platform == 'win32'

=== debian/changelog ===
buku (4.9+ds-1) unstable; urgency=medium

  * Import new upstream release (Closes: #1054276)
  * d/control:
    - Bump Standards-Version to 4.7.0.0
  * d/install:
    - Add zsh completion file (Closes: #1054282)

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 08 Apr 2024 18:45:05 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.4),
                python3-setuptools,
                dh-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0.0
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/buku-$1\.tar\.gz/ \
 https://github.com/jarun/Buku/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## buku 5.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_installman:
+	tbl buku.1 > debian/buku.1.tmp
+	mv debian/buku.1.tmp buku.1
+	dh_installman

## buku 5.0+ds

=== requirements.txt ===
# use setup.py for latest required package
beautifulsoup4>=4.4.1
certifi
cryptography>=1.2.3
html5lib>=1.0.1
setuptools
urllib3>=1.23,<3
pyreadline3; sys_platform == 'win32'
colorama>=0.4.6; sys_platform == 'win32'

=== debian/changelog ===
buku (5.0+ds-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.7.2
  * d/copyright:
    - Update d/copyright year
    - Fix old postal address issue
  * d/watch:
    - Remove the option filenamemangle
  * d/rules:
    - Fix tbl preprocessor failed

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 13 Aug 2025 23:11:05 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.4),
                python3-setuptools,
                dh-python
-Standards-Version: 4.7.0.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/Buku
 Vcs-Git: https://salsa.debian.org/debian/buku.git

=== debian/tests/control ===
Tests: test
Depends: @, python3-pytest, python3-pytest-cov, python3-yaml, python3-hypothesis, python3-vcr, python3-urllib3, python3-bs4

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
 https://github.com/jarun/Buku/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
